Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.xslt
Class XSLTProcessorFactory

    java.lang.Object
      |
      +--weblogic.apache.xalan.xslt.XSLTProcessorFactory

Deprecated. This compatibility layer will be removed in later releases.

public class XSLTProcessorFactory
extends java.lang.Object

Manufactures the processor for performing transformations. Use one of the static getProcessor methods to create an XSLTProcessor object.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Constructor Summary
`XSLTProcessorFactory()` Deprecated.

Method Summary
`static XSLTProcessor` | `getProcessor()` Deprecated. Get a new XSLTProcessor.
`static XSLTProcessor` | `getProcessor(XMLParserLiaison parserLiaison)` Deprecated. Get a new XSLTProcessor (XMLParserLiaison no longer used).
`static XSLTProcessor` | `getProcessor(XMLParserLiaison parserLiaison, XPathFactory xpathFactory)` Deprecated. Get a new XSLTProcessor (XMLParserLiaison and XPathFactory no longer used).
`static XSLTProcessor` | `getProcessorUsingLiaisonName(java.lang.String parserLiaisonClassName)` Deprecated. Get a new XSLTProcessor (parserLiaisonClassName no longre used).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLTProcessorFactory

    public XSLTProcessorFactory()

  Deprecated.

Method Detail

### getProcessor

    public static XSLTProcessor getProcessor()
                                      throws org.xml.sax.SAXException

  Deprecated.
  Get a new XSLTProcessor.

### getProcessorUsingLiaisonName

    public static XSLTProcessor getProcessorUsingLiaisonName(java.lang.String parserLiaisonClassName)
                                                      throws org.xml.sax.SAXException

  Deprecated.
  Get a new XSLTProcessor (parserLiaisonClassName no longre used). *

  See Also:
    `getProcessor()`, `XMLParserLiaison`

### getProcessor

    public static XSLTProcessor getProcessor(XMLParserLiaison parserLiaison)

  Deprecated.
  Get a new XSLTProcessor (XMLParserLiaison no longer used).

  Parameters:
    `parserLiaison` - the XMLParserLiaison set up to interact with a given XML parser.
  Returns:
    An implementation of the XSLTProcessor interface with which you can perform transformations.
  See Also:
    `getProcessor()`, `XMLParserLiaison`

### getProcessor

    public static XSLTProcessor getProcessor(XMLParserLiaison parserLiaison,
                                             XPathFactory xpathFactory)

  Deprecated.
  Get a new XSLTProcessor (XMLParserLiaison and XPathFactory no longer used).

  Parameters:
    `parserLiaison` - the XMLParserLiaison set up to interact with a given XML parser.
    `xpathFactory` - A custom XPathFactory.
  Returns:
    An implentation of the XSLTProcessor interface with which you can perform transformations.
  See Also:
    `getProcessor()`, `XMLParserLiaison`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference